import type { LinkedBundle } from '@devvit/protos/types/devvit/runtime/bundle.js';
import { type Empty } from '@devvit/protos/types/google/protobuf/empty.js';
export type BundleStore = {
    upload(bundle: Readonly<LinkedBundle>): Promise<Empty>;
};
export declare function BundleStore(gatewayOrigin: string): BundleStore;
